> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create LinkedIn integration

> Create a LinkedIn Ads integration for a account with ad account details

Create a LinkedIn Ads integration for a account with ad account details

```http theme={null}
POST https://services.leadconnectorhq.com/ad-publishing/linkedin/integration
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="locationId" type="string" required default="loc_123">
  Account identifier
</ParamField>

<ParamField body="adAccountId" type="string" required default="12345678">
  Ad account identifier
</ParamField>

<ParamField body="adAccountName" type="string" required default="My Ad Account">
  Ad account name
</ParamField>

<ParamField body="currencyCode" type="string" required default="USD">
  Currency code
</ParamField>

<ParamField body="organizationId" type="string" required default="12345678">
  Organization identifier
</ParamField>

## Respuestas

<Accordion title="201 - Response" />

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/linkedin/integration' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "locationId": "loc_123",
    "adAccountId": "12345678",
    "adAccountName": "My Ad Account",
    "currencyCode": "USD",
    "organizationId": "12345678"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/linkedin/integration', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"locationId": "loc_123", "adAccountId": "12345678", "adAccountName": "My Ad Account", "currencyCode": "USD", "organizationId": "12345678"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/ad-publishing/linkedin/integration',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"locationId": "loc_123", "adAccountId": "12345678", "adAccountName": "My Ad Account", "currencyCode": "USD", "organizationId": "12345678"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/linkedin/integration');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_123', 'adAccountId': '12345678', 'adAccountName': 'My Ad Account', 'currencyCode': 'USD', 'organizationId': '12345678'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
